[arch-commits] CVS update of extra/games/smc (PKGBUILD)

Juergen Hoetzel juergen at archlinux.org
Wed Dec 26 05:23:29 EST 2007


    Date: Wednesday, December 26, 2007 @ 05:23:29
  Author: juergen
    Path: /home/cvs-extra/extra/games/smc

Modified: PKGBUILD (1.16 -> 1.17)

upgpkg: smc 1.4-1


----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Index: extra/games/smc/PKGBUILD
diff -u extra/games/smc/PKGBUILD:1.16 extra/games/smc/PKGBUILD:1.17
--- extra/games/smc/PKGBUILD:1.16	Sun Dec  2 04:41:21 2007
+++ extra/games/smc/PKGBUILD	Wed Dec 26 05:23:29 2007
@@ -1,26 +1,27 @@
-# $Id: PKGBUILD,v 1.16 2007/12/02 09:41:21 juergen Exp $
+# $Id: PKGBUILD,v 1.17 2007/12/26 10:23:29 juergen Exp $
 # Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 # Contributor: Kritoke <typeolinux at yahoo.com>
 
 pkgname=smc
 replaces=('smclone')
 conflicts=('smclone')
-pkgver=1.3
+pkgver=1.4
 pkgrel=1
 pkgdesc="Secret Maryo Chronicles"
 arch=(i686 x86_64)
 url="http://www.secretmaryo.org/"
 license=('GPL3')
-depends=(sdl_image sdl_ttf sdl_mixer cegui boost)
+makedepends=(autoconf automake)
+depends=(sdl_image sdl_ttf sdl_mixer cegui boost libpng)
 source=(http://dl.sourceforge.net/sourceforge/smclone/$pkgname-$pkgver.tar.bz2 smc.desktop smc.png)
-md5sums=('bbb3eb3b3d96dc542fc71173916f0256' '80fe208132ff41dd7677a53ee429ecdb'\
+md5sums=('bcbfe8e9a0eba53713103b3935521192' '80fe208132ff41dd7677a53ee429ecdb'\
          'efca7580e28748625eb676c9d24ee122')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
+  ./autogen.sh || return 1
   ./configure --prefix=/usr || return 1
-  make install DESTDIR=$startdir/pkg || return 1
-
+  make install LDADD=-lpng DESTDIR=$startdir/pkg || return 1
   # install some freedesktop.org compatibility
   install -D -m644 $startdir/src/$pkgname.desktop $startdir/pkg/usr/share/applications/$pkgname.desktop
   install -D -m644 $startdir/src/$pkgname.png $startdir/pkg/usr/share/pixmaps/$pkgname.png




More information about the arch-commits mailing list